com.io7m.jstructural.core

## Class SListItem

- java.lang.Object
- - com.io7m.jstructural.core.SListItem

-     public final class SListItem
      extends Object

  A list item element.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `SNonEmptyList<SListItemContent>` | `getContent()`
    `com.io7m.jfunctional.OptionType<String>` | `getType()`
    `int` | `hashCode()`
    `static SListItem` | `listItem(SNonEmptyList<SListItemContent> content)` Construct a new list item.
    `static SListItem` | `listItemTyped(String type, SNonEmptyList<SListItemContent> content)` Construct a new list item with a type attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### listItem

          public static SListItem listItem(SNonEmptyList<SListItemContent> content)

      Construct a new list item.
      Parameters:
        `content` - The list item content.
      Returns:
        A new list item

    - #### listItemTyped

          public static SListItem listItemTyped(String type,
                                                SNonEmptyList<SListItemContent> content)

      Construct a new list item with a type attribute.
      Parameters:
        `type` - The type attribute
        `content` - The list item content.
      Returns:
        A new list item

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getContent

          public SNonEmptyList<SListItemContent> getContent()

      Returns:
        The element content

    - #### getType

          public com.io7m.jfunctional.OptionType<String> getType()

      Returns:
        The type attribute

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015 <code@io7m.com> http://io7m.com